---
title: HTMLPictureElement
slug: Web/API/HTMLPictureElement
tags:
  - API
  - Experimental
  - HTML DOM
  - Interface
  - Reference
---
<div>{{APIRef("HTML DOM")}}{{SeeCompatTable}}</div>

<p>The <code><strong>HTMLPictureElement</strong></code> interface represents a {{HTMLElement("picture")}} HTML element. It doesn't implement specific properties or methods.</p>

<p>{{InheritanceDiagram(600, 120)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>No specific property, but inherits properties from its parent, {{domxref("HTMLElement")}}.</em></p>

<h2 id="Methods">Methods</h2>

<p><em>No specific method, but inherits methods from its parent, {{domxref("HTMLElement")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#htmlpictureelement", "HTMLPictureElement")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLPictureElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{HTMLElement("picture")}} HTML element that implements it.</li>
 <li>The {{domxref("HTMLImageElement")}} and {{domxref("HTMLSourceElement")}} interfaces, often used in conjunction with a {{HTMLElement("picture")}} element.</li>
</ul>
